<?php
namespace Teknisa\SM\Controller;

use Teknisa\SM\Controller\SMCrud;
use Zeedhi\Framework\DTO\Request;
use Zeedhi\Framework\DTO\Response;
use Zeedhi\Framework\DataSource\DataSet;
use Teknisa\SM\Service\Sm00022000FormacaoPrecoService as FormPrecService;

class Sm00022000FormacaoPrecoController extends SMCrud
{
    protected $dataSourceName = 'fct_formprecoservico_widget';
    protected $FormPrecService;
     
    public function __construct ($crudService, $environment, FormPrecService $FormPrecService) {
        parent::__construct($crudService, $environment);
        $this->FormPrecService = $FormPrecService;
    }
    
    
    /**
     * A função "executarProcedureFctCopiaFormPreco" executa a procedure
     * "FCT_COPIA_FORM_PRECO".
     */
     
    public function executarProcedureFctCopiaFormPreco (Request\Row $request){
 
     $row = $request->getRow();
        
     $nrFormPrecoServico = $row['NRFORMPRECOSERVICO']; 
 
     $this->FormPrecService->executarProcedureFctCopiaFormPreco($nrFormPrecoServico);
        
    }
}
?>